[Numpy-discussion] Leopard install

Christopher Burns cburns@berkeley....
Sun Apr 19 14:18:48 CDT 2009


When I built the numpy binary last year I used the svn trunk of
bdist_mpkg and changed the module that builds the info.plist (diff
below).  This was much easier then modifying the package after it's
built.

Chris

Index: bdist_mpkg/plists.py
===================================================================
--- bdist_mpkg/plists.py	(revision 18)
+++ bdist_mpkg/plists.py	(working copy)
@@ -70,7 +70,7 @@
 FRIENDLY_PREFIX = {
     os.path.expanduser(u'~/Library/Frameworks') : u'User',
     u'/System/Library/Frameworks' : u'Apple',
-    u'/Library/Frameworks' : u'System',
+    u'/Library/Frameworks' : u'python.org Framework Build',
     u'/opt/local' : u'DarwinPorts',
     u'/usr/local' : u'Unix',
     u'/sw' : u'Fink',


On Mon, Apr 13, 2009 at 9:58 PM, David Cournapeau
<david@ar.media.kyoto-u.ac.jp> wrote:
> It is set-up in the info.plist as built by bdist_mpkg, so I guess
> changing this file should be enough - this should be easy to test :)
>
> Maybe we should do the packaging ourselves instead of relying on the
> bdist_mpkg command, to control all this better (we could reuse some code
> from the bdist_mpkg command, of course) ?


More information about the Numpy-discussion mailing list